Server prerequisites - Linux

Make sure to meet the following prerequisites to install the ESET PROTECT Server on Linux:

You must have a valid license.

You must have a supported Linux operating system.

The required ports must be open and available—see the complete list of ports.

A database server must be installed and configured with a root account. A user account does not have to be created before the installation. The installer can create the account. Microsoft SQL Server on Linux is not supported. However, you can connect the ESET PROTECT Server on Linux to Microsoft SQL Server on Windows.


note

The ESET PROTECT Server stores large data blobs in the database. Configure MySQL to accept large packet size for ESET PROTECT to run properly.

ODBC Driver - The ODBC Driver is used to establish a connection with the database server (MySQL).

Set the server installation file as an executable using the Terminal command:

chmod +x server-linux-x86_64.sh

We recommend that you use the latest version of OpenSSL 1.1.1. OpenSSL 3.x is not supported. The minimum supported version of OpenSSL for Linux is openssl-1.0.1e-30. There can be more versions of OpenSSL installed on one system simultaneously. At least one supported version must be present on your system.

oUse the command openssl version to show the current default version.

oYou can list all versions of OpenSSL present on your system. See the filename endings listed using the command sudo find / -iname *libcrypto.so*

oVerify if your Linux client is compatible using the following command: openssl s_client -connect google.com:443 -tls1_2

Xvfb - Required for proper report printing (Generate Report) on Linux Server systems without a graphical interface.

Xauth - The package gets installed together with xvfb. You need to install xauth if you do not install xvfb.

cifs-utils - Required for proper Agent deployment to a Windows OS.

Qt4 WebKit libraries - Used for printing reports to PDF and PS format (must be version 4.8, not 5). All other Qt4 dependencies will get installed automatically. If the package is not available in your operating system repository, you can compile it yourself on a target machine or install it from a third-party repository (for example, EPEL repositories): CentOS 7 instructions, Ubuntu 20.04 instructions.

kinit + klist - Kerberos is used to authenticate a domain user when logging in and the Active Directory synchronization task. Make sure to configure Kerberos properly (/etc/krb5.conf). ESET PROTECT 9.1 supports synchronization with multiple domains.

ldapsearch - Used in AD synchronization task and for authorization.

snmptrap - Optional; used to send SNMP traps. SNMP also requires configuration.

SELinux devel package - Used during product installation to build SELinux policy modules. The package is only required on systems with SELinux enabled (CentOS, RHEL). SELinux may cause problems with other applications. For ESET PROTECT Server, it is not necessary.

lshw - Install the lshw package on the client/server Linux machine for the ESET Management Agent to report the hardware inventory correctly.

The table below contains the appropriate terminal commands for each package described above for various Linux distributions (run the commands as sudo or root):

Package

Debian and Ubuntu distributions

CentOS and Red Hat distributions

OpenSUSE distribution

ODBC Driver

See the chapter ODBC installation and configuration.

OpenSSL

apt-get install openssl

yum install openssl -y

zypper install openssl

xvfb

apt-get install xvfb

yum install xorg-x11-server-Xvfb -y

zypper install xorg-x11-server-extra

cifs-utils

apt-get install cifs-utils

yum install cifs-utils

zypper install cifs-utils

Qt4 WebKit libraries

apt-get install libqtwebkit4

See instructions for Ubuntu 20.04.

The Qt4 WebKit is not in the standard CentOS repository. Install these packages:

yum install -y epel-release

yum install qtwebkit-devel

Alternatively, you can install the package from Fedora repositories.

zypper install libqtwebkit4

kinit + klist - optional (necessary for Active Directory service)

apt-get install krb5-user

yum install krb5-workstation

zypper install krb5-client

ldapsearch

apt-get install ldap-utils
libsasl2-modules-gssapi-mit

yum install openldap-clients
cyrus-sasl-gssapi cyrus-sasl-ldap -y

zypper install openldap2-client
cyrus-sasl-gssapi
cyrus-sasl-ldap-auxprop

snmptrap

apt-get install snmp

yum install net-snmp-utils net-snmp

zypper install net-snmp

SELinux devel package (optional - not necessary for ESET PROTECT Server; SELinux may cause problems with other applications.)

apt-get install selinux-policy-dev

yum install policycoreutils-devel

zypper install selinux-policy-devel

samba (optional, necessary only for remote deployment)

apt-get install samba

yum install samba
samba-winbind-clients

zypper install samba samba-client

lshw

apt-get install -y lshw

yum install -y lshw

zypper install lshw